
Redmine - Defect #22119

Error: Data too long for column 'notes' when copy paste pictures

2016-02-29 10:23 - Thomas Koch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.2.0

Description

I was copy&pasting some text with an Picture to the Issue notes. It gave me an awesome (working) preview, but a Redmine 500

error while saving (Internal error page was shown). My log-file reads:

ActiveRecord::StatementInvalid (Mysql2::Error: Data too long for column 'notes' at row 1: INSERT I

NTO `journals` (`journalized_id`, `journalized_type`, `user_id`, `notes`, `created_on`) VALUES (81

27, 'Issue', 104, '<p><img src=\"data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAl0AAADuCAYAAAADQ7L

ZAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAA...

...CYII=\" /></p>\r\n', '2016-02-29 10:11:41')):

  app/models/journal.rb:67:in `save'

  app/models/issue.rb:1659:in `create_journal'

  app/models/issue.rb:182:in `create_or_update'

  app/controllers/issues_controller.rb:487:in `block in save_issue_with_child_records'

  app/controllers/issues_controller.rb:475:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:180:in `update'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

Is duplicate of Redmine - Feature #19869: Consider increasing the size limit ... Closed

History

#1 - 2016-02-29 12:50 - Go MAEDA

What is the size of the text and what database do you use?

I guess the text is longer than 64KB and the database is MySQL.

#2 - 2016-03-14 14:15 - Thomas Koch

Yes, Mysql (as the error shows as well)

I do not know the size of that image, but I guess it will be more the 64kB.

#3 - 2016-03-15 03:55 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The size of issue.descpiption and journal.notes are limited to 64KB on MySQL for now.

Closing this issue as a duplicate of #19869.

#4 - 2016-03-15 03:55 - Go MAEDA

- Is duplicate of Feature #19869: Consider increasing the size limit of description and note columns for tickets added

#5 - 2016-03-16 11:04 - Thomas Koch

Converting the whole database from utf8 to utf8mb4 solve this issue! (see: #21398)

The data type of all text fields got automatically changed from text to mediumtext, which can hold up to 16MB!

Redmine should catch this exception and give more details. Same here: #21398!
https://www.redmine.org/issues/19869
https://www.redmine.org/issues/21398
https://www.redmine.org/issues/21398


#6 - 2019-08-17 18:15 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
